Bug 469853 - Cluster: use same encode/decode mechanism as store to replicate wiring.
Cluster: use same encode/decode mechanism as store to replicate wiring.
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
1.0
All Linux
urgent Severity urgent
: 1.1
: ---
Assigned To: Alan Conway
Kim van der Riet
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-04 09:04 EST by Alan Conway
Modified: 2009-02-04 10:34 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-04 10:34:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alan Conway 2008-11-04 09:04:41 EST
Description of problem:

Currently the broker replicates wiring (queues and exchanges) using standard amqp declare commands. 

Recent changes mean that exchanges have additional state not declared in bind (counters to assign sequence numbers to messages.) This state is not replicated in to new cluster members.


Fix: 

Modify cluster replication to use the same encode/decode mechansim used for persistent store. This resolves the current problem and ensures consistency between cluster and store going forward.
Comment 1 Alan Conway 2008-11-04 09:36:05 EST
Testing information: 

Write a test client that verifies the sequence numbers added by the broker (ask cctreilof about this feature )

- Start a cluster with a single node
- send N bugs thru this node, verify sequence numbers
- Start a second cluster node
- Send mesages thru this node, ensure sequence numbers continue from N+1.
Comment 2 Alan Conway 2008-11-12 12:17:06 EST
Fixed in SVN r713425. Unit test is tests/cluster_test.cpp QPID_AUTO_TEST_CASE(testSequenceOptions) {
Comment 4 Frantisek Reznicek 2008-11-26 09:29:52 EST
Complete cluster test ran without failures. Feature implemented.
Validated on RHEL 5.2 i386 / x86_64 in 3 node openais cluster. (rev:720810)

->VERIFIED
Comment 6 errata-xmlrpc 2009-02-04 10:34:39 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-0035.html

Note You need to log in before you can comment on or make changes to this bug.